//-----------------------------------------------------------------------
// <copyright file="EntryStatusManager.cs" company="Yasar Bhatti">Copyright(c) Yasar Bhatti. All rights reserved.</copyright>
// <author>Yasar Bhatti</author>
// <summary>Holds class that is used to manage entry statues.</summary>
//-----------------------------------------------------------------------
namespace BusinessLogicLayer
{
    using System;
    using BusinessObjects;
    using BusinessObjects.Collections;
    using BusinessObjects.Filters; 
    
    /// <summary>
    /// Class used to manage Entry Statuses.
    /// </summary>
    public sealed class EntryStatusManager
    {
        /// <summary>Holds static EntryStatusManager objects.</summary>
        private static volatile EntryStatusManager instance;

        /// <summary>Object used in synchronisation.</summary>
        private static object syncRoot = new object();

        /// <summary>
        /// Prevents a default instance of the EntryStatusManager class from being created.
        /// </summary>
        private EntryStatusManager()
        {
        }

        /// <summary>
        /// Gets instance to an EntryStatusManager object. 
        /// </summary>
        public static EntryStatusManager Instance
        {
            get
            {
                if (instance == null)
                {
                    lock (syncRoot)
                    {
                        if (instance == null)
                        {
                            instance = new EntryStatusManager();
                        }
                    }
                }

                return instance;
            }
        }

        /// <summary>
        /// Adds new Entry Status.
        /// </summary>
        /// <param name="name">Name of Entry Status.</param>
        /// <returns>Id of new Entry Status.</returns>
        public short AddEntryStatus(string name)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Updates existing Entry Status.
        /// </summary>
        /// <param name="entryStatus">Entry Status to update.</param>
        public void UpdateEntryStatus(EntryStatus entryStatus)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Deletes existing Entry Status.
        /// </summary>
        /// <param name="entryStatusId">Id of Entry Status to delete.</param>
        public void DeleteEntryStatus(short entryStatusId)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets a collection of Entry Statuses that match the filter.
        /// </summary>
        /// <param name="filter">Filter to use when retrieving data.</param>
        /// <returns>Collection containing elements that match the filter.</returns>
        public EntryStatusCollection GetEntryStatuses(EntryStatusFilter filter)
        {
            throw new NotImplementedException();
        }
    }
}
