//-----------------------------------------------------------------------
// <copyright file="Manager.cs" company="Yasar Bhatti">Copyright(c) Yasar Bhatti. All rights reserved.</copyright>
// <author>Yasar Bhatti</author>
// <summary>Holds class that allows Manager Data to be manipultaed.</summary>
//-----------------------------------------------------------------------
namespace BusinessLogicLayer
{
    using System;
    using System.Configuration;
    using BusinessLogicLayer.Utilities;

    /// <summary>
    /// Class that represents a Manager.
    /// </summary>
    public class Manager
    {
        #region Protected Properties

        /// <summary>
        /// Gets the password encryption type.
        /// </summary>
        protected Cryptographer.EncryptionType PasswordEncryptionType
        {
            get
            {
                Cryptographer.EncryptionType encType = (Cryptographer.EncryptionType)Enum.Parse(
                    typeof(Cryptographer.EncryptionType), 
                    ConfigurationManager.AppSettings["PasswordEncryptionType"]);
                if (encType != Cryptographer.EncryptionType.MD5 
                    && encType != Cryptographer.EncryptionType.SHA1
                    && encType != Cryptographer.EncryptionType.None)
                {
                    throw new Exception("Invalid PasswordEncryptionType. Must be None, MD5 or SHA1.");
                }

                return encType;
            }
        }

        #endregion Protected Properties

        #region Protected Methods

        /// <summary>
        /// Handles a business level exception.
        /// </summary>
        /// <param name="ex">Exception to handle.</param>
        protected void HandleException(Exception ex)
        {
            try
            {
                // Handle the exception here
                throw ex;
            }
            catch
            {
            }
        }

        #endregion Protected Methods
    }
}
