//-----------------------------------------------------------------------
// <copyright file="GenderCollection.cs" company="Yasar Bhatti">Copyright(c) Yasar Bhatti. All rights reserved.</copyright>
// <author>Yasar Bhatti</author>
// <summary>Holds class that represents a GenderCollection.</summary>
//-----------------------------------------------------------------------
namespace BusinessObjects.Collections
{
    using System.Collections.Generic;

    /// <summary>
    /// Class that represents a collection of Genders.
    /// </summary>
    public class GenderCollection : List<Gender>
    {
        /// <summary>
        /// Returns the item from the list by its id.
        /// </summary>
        /// <param name="id">Id to search for.</param>
        /// <returns>The matching status.</returns>
        public Gender GetById(byte id)
        {
            foreach (Gender gender in this)
            {
                if (gender.GenderId == id)
                {
                    return gender;
                }
            }

            return null;
        }

        /// <summary>
        /// Returns the item from the list by its name.
        /// </summary>
        /// <param name="name">name to search for.</param>
        /// <returns>The matching status.</returns>
        public Gender GetByName(string name)
        {
            foreach (Gender gender in this)
            {
                if (gender.Name == name)
                {
                    return gender;
                }
            }

            return null;
        }
    }
}