//-----------------------------------------------------------------------
// <copyright file="OrganisationCollection.cs" company="Yasar Bhatti">Copyright(c) Yasar Bhatti. All rights reserved.</copyright>
// <author>Yasar Bhatti</author>
// <summary>Holds class that represents a OrganisationCollection.</summary>
//-----------------------------------------------------------------------
namespace BusinessObjects.Collections
{
    using System.Collections.Generic;

    /// <summary>
    /// Class that represents a collection of Organisation.
    /// </summary>
    public class OrganisationCollection : List<Organisation>
    {
        /// <summary>
        /// Returns the item from the list by its id.
        /// </summary>
        /// <param name="id">Id to search for.</param>
        /// <returns>The matching status.</returns>
        public Organisation GetById(int id)
        {
            foreach (Organisation organisation in this)
            {
                if (organisation.OrganisationId == id)
                {
                    return organisation;
                }
            }

            return null;
        }

        /// <summary>
        /// Returns the item from the list by its code.
        /// </summary>
        /// <param name="name">name to search for.</param>
        /// <returns>The matching status.</returns>
        public Organisation GetByName(string name)
        {
            foreach (Organisation organisation in this)
            {
                if (organisation.Name == name)
                {
                    return organisation;
                }
            }

            return null;
        }
    }
}