//-----------------------------------------------------------------------
// <copyright file="EntryStatus.cs" company="Yasar Bhatti">Copyright(c) Yasar Bhatti. All rights reserved.</copyright>
// <author>Yasar Bhatti</author>
// <summary>Holds class that represensts a EntryStatus.</summary>
//-----------------------------------------------------------------------
namespace BusinessObjects
{
    /// <summary>
    /// Class that represents a EntryStatus.
    /// </summary>
    public class EntryStatus
    {
        /// <summary>Unique Id of EntryStatus.</summary>
        public readonly short EntryStatusId;

        /// <summary>Holds the EntryStatus name.</summary>
        private string name;

        /// <summary>
        /// Initializes a new instance of the EntryStatus class.
        /// </summary>
        /// <param name="entryStatusId">Unique id of entry status.</param>
        /// <param name="name">Name of entry status.</param>
        public EntryStatus(short entryStatusId, string name)
        {
            this.EntryStatusId = entryStatusId;
            this.name = name;
        }

        /// <summary>Gets or sets name of EntryStatus.</summary>
        public string Name
        {
            get { return this.name; }
            set { this.name = value; }
        }
    }
}
