//-----------------------------------------------------------------------
// <copyright file="ActivityFilter.cs" company="Yasar Bhatti">Copyright(c) Yasar Bhatti. All rights reserved.</copyright>
// <author>Yasar Bhatti</author>
// <summary>Holds class that represents a ActivityFilter.</summary>
//-----------------------------------------------------------------------
namespace BusinessObjects.Filters
{
    /// <summary>
    /// Class that represents a filter for Activities.
    /// </summary>
    public class ActivityFilter
    {
        /// <summary>Holds Job Code Id.</summary>
        private long? jobCodeId;

        /// <summary>Holds whether the acivtiviy is enabled.</summary>
        private bool? enabled;

        /// <summary>Gets or sets the Job Code Id.</summary>
        public long? JobCodeId
        {
            get { return this.jobCodeId; }
            set { this.jobCodeId = value; }
        }

        /// <summary>Gets or sets whether the activity is enabled.</summary>
        public bool? Enabled
        {
            get { return this.enabled; }
            set { this.enabled = value; }
        }
    }
}
