//-----------------------------------------------------------------------
// <copyright file="EntryFilter.cs" company="Yasar Bhatti">Copyright(c) Yasar Bhatti. All rights reserved.</copyright>
// <author>Yasar Bhatti</author>
// <summary>Holds class that represents a EntryFilter.</summary>
//-----------------------------------------------------------------------
namespace BusinessObjects.Filters
{
    using System;

    /// <summary>
    /// Class that represents a filter for Entries.
    /// </summary>
    public class EntryFilter
    {
        /// <summary>Holds User Id.</summary>
        private long? userId;

        /// <summary>Holds Job Code Id.</summary>
        private long? jobCodeId;

        /// <summary>Holds Activity Id.</summary>
        private long? activityId;

        /// <summary>Holds entry Status Id.</summary>
        private long? entryStatusId;

        /// <summary>Holds Start time.</summary>
        private DateTime? startTime;

        /// <summary>Holds End time.</summary>
        private DateTime? endTime;

        /// <summary>Holds Status Changer User Id.</summary>
        private long? statusChangerUserId;

        /// <summary>Gets or sets the User Id.</summary>
        public long? UserId
        {
            get { return this.userId; }
            set { this.userId = value; }
        }

        /// <summary>Gets or sets the Job Code Id.</summary>
        public long? JobCodeId
        {
            get { return this.jobCodeId; }
            set { this.jobCodeId = value; }
        }

        /// <summary>Gets or sets the Activity Id.</summary>
        public long? ActivityId
        {
            get { return this.activityId; }
            set { this.activityId = value; }
        }

        /// <summary>Gets or sets the Entry Status Id.</summary>
        public long? EntryStatusId
        {
            get { return this.entryStatusId; }
            set { this.entryStatusId = value; }
        }

        /// <summary>Gets or sets the Start Time.</summary>
        public DateTime? StartTime
        {
            get { return this.startTime; }
            set { this.startTime = value; }
        }

        /// <summary>Gets or sets the End Time.</summary>
        public DateTime? EndTime
        {
            get { return this.endTime; }
            set { this.endTime = value; }
        }

        /// <summary>Gets or sets the Status Changer User Id.</summary>
        public long? StatusChangerUserId
        {
            get { return this.statusChangerUserId; }
            set { this.statusChangerUserId = value; }
        }
    }
}