//-----------------------------------------------------------------------
// <copyright file="JobCodeFilter.cs" company="Yasar Bhatti">Copyright(c) Yasar Bhatti. All rights reserved.</copyright>
// <author>Yasar Bhatti</author>
// <summary>Holds class that represents a JobCodeFilter.</summary>
//-----------------------------------------------------------------------
namespace BusinessObjects.Filters
{
    /// <summary>
    /// Class that represents a filter for job codes.
    /// </summary>
    public class JobCodeFilter
    {
        /// <summary>Holds organisation id.</summary>
        private int? organisationId;

        /// <summary>Holds enabled state.</summary>
        private bool? enabled;

        /// <summary>Gets or sets the organisation Id.</summary>
        public int? OrganisationId
        {
            get { return this.organisationId; }
            set { this.organisationId = value; }
        }

        /// <summary>Gets or sets whether the job code is enabled.</summary>
        public bool? Enabled
        {
            get { return this.enabled; }
            set { this.enabled = value; }
        }
    }
}