//-----------------------------------------------------------------------
// <copyright file="TimesheetActivityEntryFilter.cs" company="Yasar Bhatti">Copyright(c) Yasar Bhatti. All rights reserved.</copyright>
// <author>Yasar Bhatti</author>
// <summary>Holds class that represents a TimesheetActivityEntryFilter.</summary>
//-----------------------------------------------------------------------
namespace BusinessObjects.Filters
{
    using System;

    /// <summary>
    /// Class that represents a filter for Timesheet Activity Entries.
    /// </summary>
    public class TimesheetActivityEntryFilter
    {
        /// <summary>Holds timesheet Id.</summary>
        private long? timesheetId;

        /// <summary>Holds Activity Id.</summary>
        private long? activityId;

        /// <summary>Holds Start date time.</summary>
        private DateTime? startDateTime;

        /// <summary>Holds End date time.</summary>
        private DateTime? endDateTime;

        /// <summary>Gets or sets the timesheet Id.</summary>
        public long? TimesheetId
        {
            get { return this.timesheetId; }
            set { this.timesheetId = value; }
        }

        /// <summary>Gets or sets the Activity Id.</summary>
        public long? ActivityId
        {
            get { return this.activityId; }
            set { this.activityId = value; }
        }

        /// <summary>Gets or sets the Start Date Time.</summary>
        public DateTime? StartDateTime
        {
            get { return this.startDateTime; }
            set { this.startDateTime = value; }
        }

        /// <summary>Gets or sets the End Date Time.</summary>
        public DateTime? EndDateTime
        {
            get { return this.endDateTime; }
            set { this.endDateTime = value; }
        }
    }
}