//-----------------------------------------------------------------------
// <copyright file="TimesheetFilter.cs" company="Yasar Bhatti">Copyright(c) Yasar Bhatti. All rights reserved.</copyright>
// <author>Yasar Bhatti</author>
// <summary>Holds class that represents a TimesheetFilter.</summary>
//-----------------------------------------------------------------------
namespace BusinessObjects.Filters
{
    using System;

    /// <summary>
    /// Class that represents a filter for Timesheets.
    /// </summary>
    public class TimesheetFilter
    {
        /// <summary>Holds max records.</summary>
        private long? maxRecords;

        /// <summary>Holds user Id.</summary>
        private long? userId;

        /// <summary>Holds approver user Id.</summary>
        private long? approverUserId;

        /// <summary>Holds user Id.</summary>
        private int? organisationId;

        /// <summary>Holds Timesheet status Id.</summary>
        private short? timesheetStatusId;

        /// <summary>Holds status changer user Id.</summary>
        private long? statusChangerUserId;

        /// <summary>Holds Start date time.</summary>
        private DateTime? startDateTime;

        /// <summary>Holds End date time.</summary>
        private DateTime? endDateTime;

        /// <summary>Gets or sets max records.</summary>
        public long? MaxRecords
        {
            get { return this.maxRecords; }
            set { this.maxRecords = value; }
        }

        /// <summary>Gets or sets the user Id.</summary>
        public long? UserId
        {
            get { return this.userId; }
            set { this.userId = value; }
        }

        /// <summary>Gets or sets the Approver user Id.</summary>
        public long? ApproverUserId
        {
            get { return this.approverUserId; }
            set { this.approverUserId = value; }
        }

        /// <summary>Gets or sets the organisation Id.</summary>
        public int? OrganisationId
        {
            get { return this.organisationId; }
            set { this.organisationId = value; }
        }

        /// <summary>Gets or sets the timesheet Status Id.</summary>
        public short? TimesheetStatusId
        {
            get { return this.timesheetStatusId; }
            set { this.timesheetStatusId = value; }
        }

        /// <summary>Gets or sets the status changer user Id.</summary>
        public long? StatusChangerUserId
        {
            get { return this.statusChangerUserId; }
            set { this.statusChangerUserId = value; }
        }

        /// <summary>Gets or sets the Start Date Time.</summary>
        public DateTime? StartDateTime
        {
            get { return this.startDateTime; }
            set { this.startDateTime = value; }
        }

        /// <summary>Gets or sets the End Date Time.</summary>
        public DateTime? EndDateTime
        {
            get { return this.endDateTime; }
            set { this.endDateTime = value; }
        }
    }
}