//-----------------------------------------------------------------------
// <copyright file="UserFilter.cs" company="Yasar Bhatti">Copyright(c) Yasar Bhatti. All rights reserved.</copyright>
// <author>Yasar Bhatti</author>
// <summary>Holds class that represents a UserFilter.</summary>
//-----------------------------------------------------------------------
namespace BusinessObjects.Filters
{
    /// <summary>
    /// Class that represents a filter for users.
    /// </summary>
    public class UserFilter
    {
        /// <summary>Holds max records.</summary>
        private long? maxRecords;

        /// <summary>Holds user string.</summary>
        private string user;

        /// <summary>Holds approver string.</summary>
        private string approver;

        /// <summary>Holds gender id.</summary>
        private byte? genderId;

        /// <summary>Holds role id.</summary>
        private short? roleId;

        /// <summary>Holds organisation id.</summary>
        private int? organisationId;

        /// <summary>Holds approver User id.</summary>
        private long? approverUserId;

        /// <summary>Holds activate.</summary>
        private bool? activated;

        /// <summary>Holds enabled.</summary>
        private bool? enabled;

        /// <summary>Gets or sets the user string.</summary>
        public string User
        {
            get { return this.user; }
            set { this.user = value; }
        }

        /// <summary>Gets or sets the approver string.</summary>
        public string Approver
        {
            get { return this.approver; }
            set { this.approver = value; }
        }

        /// <summary>Gets or sets the gender Id.</summary>
        public byte? GenderId
        {
            get { return this.genderId; }
            set { this.genderId = value; }
        }

        /// <summary>Gets or sets max records.</summary>
        public long? MaxRecords
        {
            get { return this.maxRecords; }
            set { this.maxRecords = value; }
        }

        /// <summary>Gets or sets role id.</summary>
        public short? RoleId
        {
            get { return this.roleId; }
            set { this.roleId = value; }
        }

        /// <summary>Gets or sets Organisation id.</summary>
        public int? OrganisationId
        {
            get { return this.organisationId; }
            set { this.organisationId = value; }
        }

        /// <summary>Gets or sets Approver User id.</summary>
        public long? ApproverUserId
        {
            get { return this.approverUserId; }
            set { this.approverUserId = value; }
        }

        /// <summary>Gets or sets whether user is activated.</summary>
        public bool? Activated
        {
            get { return this.activated; }
            set { this.activated = value; }
        }

        /// <summary>Gets or sets whether user is enabled.</summary>
        public bool? Enabled
        {
            get { return this.enabled; }
            set { this.enabled = value; }
        }
    }
}