//-----------------------------------------------------------------------
// <copyright file="Gender.cs" company="Yasar Bhatti">Copyright(c) Yasar Bhatti. All rights reserved.</copyright>
// <author>Yasar Bhatti</author>
// <summary>Holds class that represensts a Gender.</summary>
//-----------------------------------------------------------------------
namespace BusinessObjects
{
    /// <summary>
    /// Class that represents a Gender.
    /// </summary>
    public class Gender
    {
        /// <summary>Unique Id of Gender.</summary>
        public readonly byte GenderId;

        /// <summary>Holds the EntryStatus name.</summary>
        private string name;

        /// <summary>
        /// Initializes a new instance of the Gender class.
        /// </summary>
        /// <param name="genderId">Unique id of gender.</param>
        /// <param name="name">Name of gender.</param>
        public Gender(byte genderId, string name)
        {
            this.GenderId = genderId;
            this.Name = name;
        }

        /// <summary>Gets or sets name of EntryStatus.</summary>
        public string Name
        {
            get { return this.name; }
            set { this.name = value; }
        }
    }
}
