//-----------------------------------------------------------------------
// <copyright file="Role.cs" company="Yasar Bhatti">Copyright(c) Yasar Bhatti. All rights reserved.</copyright>
// <author>Yasar Bhatti</author>
// <summary>Holds class that represensts a Role.</summary>
//-----------------------------------------------------------------------
namespace BusinessObjects
{
    /// <summary>
    /// Class that represents a Role.
    /// </summary>
    public class Role
    {
        /// <summary>Unique Id of Role.</summary>
        public readonly short RoleId;

        /// <summary>Holds the Role name.</summary>
        private string name;

        /// <summary>
        /// Initializes a new instance of the Role class.
        /// </summary>
        /// <param name="roleId">Unique Id of role.</param>
        /// <param name="name">Name of Role.</param>
        public Role(short roleId, string name)
        {
            this.RoleId = roleId;
            this.Name = name;
        }

        /// <summary>Gets or sets name of Role.</summary>
        public string Name
        {
            get { return this.name; }
            set { this.name = value; }
        }
    }
}
