//-----------------------------------------------------------------------
// <copyright file="TimesheetStatus.cs" company="Yasar Bhatti">Copyright(c) Yasar Bhatti. All rights reserved.</copyright>
// <author>Yasar Bhatti</author>
// <summary>Holds class that represensts a TimesheetStatus.</summary>
//-----------------------------------------------------------------------
namespace BusinessObjects
{
    /// <summary>
    /// Class that represents a TimesheetStatus.
    /// </summary>
    public class TimesheetStatus
    {
        /// <summary>Unique Id of TimesheetStatus.</summary>
        public readonly short TimesheetStatusId;

        /// <summary>Holds the TimesheetStatus name.</summary>
        private string name;

        /// <summary>
        /// Initializes a new instance of the TimesheetStatus class.
        /// </summary>
        /// <param name="timesheetStatusId">Unique id of Timesheet Status.</param>
        /// <param name="name">Name of entry status.</param>
        public TimesheetStatus(short timesheetStatusId, string name)
        {
            this.TimesheetStatusId = timesheetStatusId;
            this.Name = name;
        }

        /// <summary>Gets or sets name of TimesheetStatus.</summary>
        public string Name
        {
            get { return this.name; }
            set { this.name = value; }
        }
    }
}
