//-----------------------------------------------------------------------
// <copyright file="CommunicationManagerConfiguration.cs" company="Yasar Bhatti">Copyright(c) Yasar Bhatti. All rights reserved.</copyright>
// <author>Yasar Bhatti</author>
// <summary>Holds class that holds Communication Manager Configuration details.</summary>
//-----------------------------------------------------------------------
namespace CommunicationManager
{
    /// <summary>
    /// Class that holds Communication Manager Configuration details.
    /// </summary>
    public class CommunicationManagerConfiguration
    {
        #region Private Members

        /// <summary>Holds whether or not to start sending messages as soon as a message is added.</summary>
        private bool startOnMessageAdd = false;

        #endregion Private Members

        #region Public Properties

        /// <summary>Gets or sets a value indicating whether or not to start sending messages as soon as a message is added.</summary>
        public bool StartOnMessageAdd
        {
            get { return this.startOnMessageAdd; }
            set { this.startOnMessageAdd = value; }
        }

        #endregion Public Properties
    }
}
