﻿//-----------------------------------------------------------------------
// <copyright file="CommunicationManagerTest.cs" company="Yasar Bhatti">Copyright(c) Yasar Bhatti. All rights reserved.</copyright>
// <author>Yasar Bhatti</author>
// <summary>Holds class that manages CommunicationManager Tests.</summary>
//-----------------------------------------------------------------------
namespace CommunicationManagerTest
{
    using System;
    using System.Collections.Generic;
    using System.Net.Mail;
    using System.Text;
    using System.Threading;
    using CommunicationManager;
    using Microsoft.VisualStudio.TestTools.UnitTesting;

    /// <summary>
    /// This is a test class for CommunicationManager.CommunicationManager and is intended
    /// to contain all CommunicationManager.CommunicationManager Unit Tests
    /// </summary>
    [TestClass()]
    public class CommunicationManagerTest
    {
        /// <summary>
        /// A test for AddMessage (Message)
        /// </summary>
        [TestMethod()]
        public void AddMessageTest()
        {
            CommunicationManager target = new CommunicationManager();
            MailMessage mailMessage = new MailMessage();
            mailMessage.From = new MailAddress("test@timesheetExpress.com", "Yas");
            mailMessage.To.Add(new MailAddress("test@timesheetExpress.com", "Yas"));
            mailMessage.Subject = "Subject";
            mailMessage.Body = "Body";

            EmailMessage message = new EmailMessage("mailserver", 25, string.Empty, string.Empty, null, mailMessage, Message.MessagePriority.High);
            target.AddMessage(message);
            Assert.AreEqual(1, target.MessageCount);
            target.StartHandlingMessages();
            Thread.Sleep(10000);
            Assert.AreEqual(0, target.MessageCount);
            target.AddMessage(message);
            Assert.AreEqual(1, target.MessageCount);
            Thread.Sleep(10000);
            Assert.AreEqual(0, target.MessageCount);
        }
    }
}
