//-----------------------------------------------------------------------
// <copyright file="DataObject.cs" company="Yasar Bhatti">Copyright(c) Yasar Bhatti. All rights reserved.</copyright>
// <author>Yasar Bhatti</author>
// <summary>Holds class that represensts a data object used to retrieve data from a datasoure.</summary>
//-----------------------------------------------------------------------
namespace DataAccessLayer
{
    /// <summary>
    /// Class that represensts a data object used to retrieve data from a datasoure.
    /// </summary>
    internal static class DataObject
    {
        #region Private Members

        /// <summary>Holds static DataAccessor objects.</summary>
        private static volatile IDataAccessor dataAccessor;

        /// <summary>Object used in synchronisation.</summary>
        private static object syncRoot = new object();

        #endregion Private Members

        #region Public Properties

        /// <summary>Gets the DataAccessor.</summary>
        public static IDataAccessor DataAccessor
        {
            get
            {
                if (dataAccessor == null)
                {
                    lock (syncRoot)
                    {
                        if (dataAccessor == null)
                        {
                            dataAccessor = new SqlServerDataAccessor();
                        }
                    }
                }

                return dataAccessor;
            }
        }

        #endregion Public Properties
    }
}
