//-----------------------------------------------------------------------
// <copyright file="AdminPage.cs" company="Yasar Bhatti">Copyright(c) Yasar Bhatti. All rights reserved.</copyright>
// <author>Yasar Bhatti</author>
// <summary>Holds class that represents a AdminPage.</summary>
//-----------------------------------------------------------------------
namespace TimesheetWebApplication.App_Code
{
    using System;

    /// <summary>
    /// Class that represents a Admin page.
    /// </summary>
    public class AdminPage : SecurePage
    {
        #region Public Methods

        /// <summary>
        /// Initializes a new instance of the AdminPage class.
        /// </summary>
        public AdminPage()
        {
            this.PreInit += new EventHandler(this.AdminPage_PreInit);
        }

        #endregion Public Methods

        #region Private Methods

        /// <summary>
        /// Event Handler for pre Init.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        private void AdminPage_PreInit(object sender, EventArgs e)
        {
            // Check is user is not administrator or manager.
            if (!this.IsUserAdministrator && !this.IsUserManager)
            {
                Response.Redirect(CommonConstants.Urls.Secure.Default);
                return;
            }

            // If user is a manager, make sure they are in an organisation
            /*if (this.IsUserManager && !this.IsUserInOrganisation)
            {
                Response.Redirect(CommonConstants.Urls.Secure.Default);
                return;
            }*/
        }

        #endregion Private Methods
    }
}
