//-----------------------------------------------------------------------
// <copyright file="Utilities.cs" company="Yasar Bhatti">Copyright(c) Yasar Bhatti. All rights reserved.</copyright>
// <author>Yasar Bhatti</author>
// <summary>Holds class that holds helper methods.</summary>
//-----------------------------------------------------------------------
namespace TimesheetWebApplication.App_Code
{
    using System;

    /// <summary>
    /// Class that that holds helper methods.
    /// </summary>
    public static class Utilities
    {
        /// <summary>
        /// Gets the saturday of the week specified by the date.
        /// </summary>
        /// <param name="date">Date of the week.</param>
        /// <returns>The previous saturday of the same week.</returns>
        public static DateTime GetWeekStart(DateTime date)
        {
            while (date.DayOfWeek != DayOfWeek.Saturday)
            {
                date = date.AddDays(-1);
            }

            return date.Date;
        }

        /// <summary>
        /// Gets the friday of the week specified by the date.
        /// </summary>
        /// <param name="date">Date of the week.</param>
        /// <returns>The next friday  of the same week.</returns>
        public static DateTime GetWeekEnd(DateTime date)
        {
            while (date.DayOfWeek != DayOfWeek.Friday)
            {
                date = date.AddDays(1);
            }

            return date.Date;
        }
    }
}
