//-----------------------------------------------------------------------
// <copyright file="ForgottenPassword.aspx.cs" company="Yasar Bhatti">Copyright(c) Yasar Bhatti. All rights reserved.</copyright>
// <author>Yasar Bhatti</author>
// <summary>Holds class that represents a ForgottenPassword.</summary>
//-----------------------------------------------------------------------
namespace TimesheetWebApplication
{
    using System;
    using BusinessLogicLayer;
    using TimesheetWebApplication.App_Code;

    /// <summary>
    /// Class that represents ForgottenPassword page.
    /// </summary>
    public partial class ForgottenPassword : BasePage
    {
        #region Protected Methods

        /// <summary>
        /// Event Handler for on page load.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        protected void Page_Load(object sender, EventArgs e)
        {
        }

        /// <summary>
        /// Event Handler for GetPasswordButton click.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        protected void GetPasswordButton_Clicked(object sender, EventArgs e)
        {
            string newPassword = UserManager.Instance.ResetPassword(this.EmailTextBox.Text);
            if (string.IsNullOrEmpty(newPassword))
            {
                this.ErrorLabel.InnerText = Resources.Main.PasswordResetError;
            }
            else
            {
                BusinessObjects.User user = UserManager.Instance.GetUser(this.EmailTextBox.Text);
                MailManager.SendNewPasswordMessage(
                    user,
                    newPassword,
                    this);

                this.ErrorLabel.InnerText = string.Empty;
                this.SuccessMessage(Resources.Main.PasswordResetSuccessfully);
            }
        }

        #endregion Protected Methods
    }
}
