<%@ Page Language="C#" MasterPageFile="~/MasterPages/Admin.Master" AutoEventWireup="true" CodeBehind="Activities.aspx.cs" Inherits="TimesheetWebApplication.Secure.Admin.Activities" Title='<%$ Resources:Main, ManageActivities %>' %>
<%@ Register Src="~/WebUserControls/ActivityFilter.ascx" TagPrefix="wuc" TagName="ActivityFilter" %>

<asp:Content ID="Content1" ContentPlaceHolderID="AdminContentPlaceHolder" runat="server">
    
    <div class="FilterStyle">
        <wuc:ActivityFilter runat="server" ID="ActivityFilterWebUserControl" CssClass="FilterControlStyle" ValidationGroup="Search" />
        <div class="ButtonSection">
            <asp:Button runat="server" ID="SearchButton" Text='<%$ Resources:Main, Search %>' OnClick="SearchButton_Clicked" CssClass="Button" ValidationGroup="Search" />
            <asp:Button runat="server" ID="CreateActivityButton" Text='<%$ Resources:Main, CreateActivity %>' OnClick="CreateActivityButton_Clicked" CssClass="Button" />
            <asp:Button runat="server" ID="CancelButton" Text='<%$ Resources:Main, Cancel %>' OnClick="CancelButton_Clicked" CssClass="Button" />
        </div>
    </div>
    
    <asp:Repeater runat="server" ID="ActivitiesRepeater">
        <HeaderTemplate>
            <table class="DataTableStyle">
                <thead>
                    <tr>
                        <th><%= Resources.Main.Id %></th>
                        <th><%= Resources.Main.ActivityCode %></th>
                        <th><%= Resources.Main.JobCode %></th>
                        <th><%= Resources.Main.Name %></th>
                        <th><%= Resources.Main.CreationDate %></th>
                        <th><%= Resources.Main.DisabledDate %></th>
                        <th></th>
                        <th></th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
        </HeaderTemplate>
        <ItemTemplate>
            <tr>
                <td><%# DataBinder.Eval(Container.DataItem, "Activity Id")%></td>
                <td><%# DataBinder.Eval(Container.DataItem, "Activity Code")%></td>
                <td><%# DataBinder.Eval(Container.DataItem, "Job Code")%></td>
                <td><%# DataBinder.Eval(Container.DataItem, "Name")%></td>
                <td><%# DataBinder.Eval(Container.DataItem, "Creation Date")%></td>
                <td><%# DataBinder.Eval(Container.DataItem, "Disabled Date")%></td>
                <td>
                    <asp:LinkButton ID="DisableActivityLinkButton" runat="server" Text="<%$ Resources:Main, Disable %>" OnClick="DisableActivity_Clicked"
                                CommandArgument='<%# Eval("Activity Id")%>' Enabled='<%# Eval("Enabled") %>' />
                </td>
                <td>
                    <asp:LinkButton ID="EnabledActivityLinkButton" runat="server" Text="<%$ Resources:Main, Enable %>" OnClick="EnableActivity_Clicked"
                                CommandArgument='<%# Eval("Activity Id")%>' Enabled='<%# !((bool)(Eval("Enabled"))) %>' />
                </td>
                <td>
                    <asp:LinkButton ID="DeleteActivityLinkButton" runat="server" Text="<%$ Resources:Main, Delete %>" OnClick="DeleteActivity_Clicked"
                                CommandArgument='<%# Eval("Activity Id")%>' 
                                OnClientClick=<%# "return confirm('" + Resources.Main.ConfirmDelete + "');" %> />
                </td>
            </tr>
        </ItemTemplate>
        <FooterTemplate>
                </tbody>
            </table>
        </FooterTemplate>
    </asp:Repeater>
                
</asp:Content>
