//-----------------------------------------------------------------------
// <copyright file="CreateTimesheetStatus.aspx.cs" company="Yasar Bhatti">Copyright(c) Yasar Bhatti. All rights reserved.</copyright>
// <author>Yasar Bhatti</author>
// <summary>Holds class that represents a CreateTimesheetStatus page.</summary>
//-----------------------------------------------------------------------
namespace TimesheetWebApplication.Secure.Admin
{
    using System;
    using System.Web.UI.WebControls;
    using BusinessLogicLayer;
    using BusinessObjects;
    using BusinessObjects.Collections;
    using BusinessObjects.Filters;
    using TimesheetWebApplication.App_Code;

    /// <summary>
    /// Class used to represent the CreateRole page.
    /// </summary>
    public partial class CreateTimesheetStatus : AdminPage
    {
        #region Protected Methods

        /// <summary>
        /// Event Handler for on page load.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        protected void Page_Load(object sender, EventArgs e)
        {
        }

        /// <summary>
        /// Event Handler for CreateTimesheetStatusButton Click.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        protected void CreateTimesheetStatusButton_Clicked(object sender, EventArgs e)
        {
            try
            {
                int id = TimesheetStatusManager.Instance.AddTimesheetStatus(
                    Convert.ToInt16(this.IdTextBox.Text),
                    this.NameTextBox.Text);
                this.SuccessMessage(Resources.Main.TimesheetStatusCreated);
            }
            catch
            {
                this.AddErrorMessage(Resources.Main.TimesheetStatusCreationError);
            }
        }

        /// <summary>
        /// Event Handler for CancelButton Click.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        protected void CancelButton_Clicked(object sender, EventArgs e)
        {
            Response.Redirect(CommonConstants.Urls.Secure.Admin.Default);
        }

        #endregion Protected Methods
    }
}
