//-----------------------------------------------------------------------
// <copyright file="Default.aspx.cs" company="Yasar Bhatti">Copyright(c) Yasar Bhatti. All rights reserved.</copyright>
// <author>Yasar Bhatti</author>
// <summary>Holds class that represents a Default page.</summary>
//-----------------------------------------------------------------------
namespace TimesheetWebApplication.Secure.Admin
{
    using System;
    using TimesheetWebApplication.App_Code;

    /// <summary>
    /// Class used to represent the Default page.
    /// </summary>
    public partial class Default : AdminPage
    {
        /// <summary>
        /// Event Handler for on page load.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!this.IsUserAdministrator)
            {
                // User not admin therefore hide admin stuff
                this.OrganisationDiv.Visible = false;
                this.RolesDiv.Visible = false;
                this.TimesheetStatusesDiv.Visible = false;
            }

            // If user is a manager, make sure they are in an organisation
            if (this.IsUserManager && !this.IsUserInOrganisation)
            {
                this.ActivitiesDiv.Visible = false;
                this.UserDiv.Visible = false;
                this.JobCodeDiv.Visible = false;
                this.OrganisationDiv.Visible = false;
                this.RolesDiv.Visible = false;
                this.TimesheetStatusesDiv.Visible = false;
                this.NoOrganisationDiv.Visible = true;
            }
        }
    }
}
