<%@ Page Language="C#" MasterPageFile="~/MasterPages/Admin.Master" AutoEventWireup="true" CodeBehind="JobCodes.aspx.cs" Inherits="TimesheetWebApplication.Secure.Admin.JobCodes" Title='<%$ Resources:Main, ManageJobCodes %>' %>
<%@ Register Src="~/WebUserControls/JobCodeFilter.ascx" TagPrefix="wuc" TagName="JobCodeFilter" %>

<asp:Content ID="Content1" ContentPlaceHolderID="AdminContentPlaceHolder" runat="server">

    <div runat="server" id="Filter" class="FilterStyle">
        <wuc:JobCodeFilter runat="server" ID="JobCodeFilterWebUserControl" CssClass="FilterControlStyle" ValidationGroup="Search" />
        <div class="ButtonSection">
            <asp:Button runat="server" ID="SearchButton" Text='<%$ Resources:Main, Search %>' OnClick="SearchButton_Clicked" CssClass="Button" ValidationGroup="Search" />
            <asp:Button runat="server" ID="CreateJobCodeButton" Text='<%$ Resources:Main, CreateJobCode %>' OnClick="CreateJobCodeButton_Clicked" CssClass="Button"  />
            <asp:Button runat="server" ID="CancelButton" Text='<%$ Resources:Main, Cancel %>' OnClick="CancelButton_Clicked" CssClass="Button"  />
        </div>
    </div>
    
    <asp:Repeater runat="server" ID="JobCodesRepeater">
        <HeaderTemplate>
            <table class="DataTableStyle">
                <thead>
                    <tr>
                        <th><%= Resources.Main.Id %></th>
                        <th><%= Resources.Main.Organisation %></th>
                        <th><%= Resources.Main.Code %></th>
                        <th><%= Resources.Main.Name %></th>
                        <th><%= Resources.Main.CreationDate %></th>
                        <th><%= Resources.Main.DisabledDate %></th>
                        <th></th>
                        <th></th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
        </HeaderTemplate>
        <ItemTemplate>
            <tr>
                <td><%# DataBinder.Eval(Container.DataItem, "Job Code Id")%></td>
                <td><%# DataBinder.Eval(Container.DataItem, "Organisation")%></td>
                <td><%# DataBinder.Eval(Container.DataItem, "Code")%></td>
                <td><%# DataBinder.Eval(Container.DataItem, "Name")%></td>
                <td><%# DataBinder.Eval(Container.DataItem, "Creation Date")%></td>
                <td><%# DataBinder.Eval(Container.DataItem, "Disabled Date")%></td>
                <td>
                    <asp:LinkButton ID="DisableJobCodeLinkButton" runat="server" Text="<%$ Resources:Main, Disable %>" OnClick="DisableJobCode_Clicked"
                                CommandArgument='<%# Eval("Job Code Id")%>' Enabled='<%# Eval("Enabled") %>' />
                </td>
                <td>
                    <asp:LinkButton ID="EnabledJobCodeLinkButton" runat="server" Text="<%$ Resources:Main, Enable %>" OnClick="EnableJobCode_Clicked"
                                CommandArgument='<%# Eval("Job Code Id")%>' Enabled='<%# !((bool)(Eval("Enabled"))) %>' />
                </td>
                <td>
                    <asp:LinkButton ID="DeleteJobCodeLinkButton" runat="server" Text="<%$ Resources:Main, Delete %>" OnClick="DeleteJobCode_Clicked"
                                CommandArgument='<%# Eval("Job Code Id")%>'
                                OnClientClick=<%# "return confirm('" + Resources.Main.ConfirmDelete + "');" %> />
                </td>
            </tr>
        </ItemTemplate>
        <FooterTemplate>
                </tbody>
            </table>
        </FooterTemplate>
    </asp:Repeater>
    
</asp:Content>
