<%@ Page Language="C#" MasterPageFile="~/MasterPages/Admin.Master" AutoEventWireup="true" CodeBehind="Organisations.aspx.cs" Inherits="TimesheetWebApplication.Secure.Admin.Organisations" Title='<%$ Resources:Main, ManageOrganisations %>' %>
<asp:Content ID="Content1" ContentPlaceHolderID="AdminContentPlaceHolder" runat="server">
    
    <asp:Repeater runat="server" ID="OrganisationsRepeater">
        <HeaderTemplate>
            <table class="DataTableStyle">
                <thead>
                    <tr>
                        <th><%= Resources.Main.Id %></th>
                        <th><%= Resources.Main.Name %></th>
                        <th><%= Resources.Main.CreationDate %></th>
                        <th><%= Resources.Main.DisabledDate %></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
        </HeaderTemplate>
        <ItemTemplate>
            <tr>
                <td><%# DataBinder.Eval(Container.DataItem, "Organisation Id")%></td>
                <td><%# DataBinder.Eval(Container.DataItem, "Name")%></td>
                <td><%# DataBinder.Eval(Container.DataItem, "Creation Date")%></td>
                <td><%# DataBinder.Eval(Container.DataItem, "Disabled Date")%></td>
                <td>
                    <asp:LinkButton ID="JobCodesLinkButton" runat="server" Text="<%$ Resources:Main, JobCodes %>" OnClick="JobCodes_Clicked"
                                CommandArgument='<%# Eval("Organisation Id")%>' />
                </td>
                <td>
                    <asp:LinkButton ID="DisableOrganisationLinkButton" runat="server" Text="<%$ Resources:Main, Disable %>" OnClick="DisableOrganisation_Clicked"
                                CommandArgument='<%# Eval("Organisation Id")%>' Enabled='<%# Eval("Enabled") %>' />
                </td>
                <td>
                    <asp:LinkButton ID="EnabledOrganisationLinkButton" runat="server" Text="<%$ Resources:Main, Enable %>" OnClick="EnableOrganisation_Clicked"
                                CommandArgument='<%# Eval("Organisation Id")%>' Enabled='<%# !((bool)(Eval("Enabled"))) %>' />
                </td>
                <td>
                    <asp:LinkButton ID="DeleteOrganisationLinkButton" runat="server" Text="<%$ Resources:Main, Delete %>" OnClick="DeleteOrganisation_Clicked"
                                CommandArgument='<%# Eval("Organisation Id")%>'
                                OnClientClick=<%# "return confirm('" + Resources.Main.ConfirmDelete + "');" %> />
                </td>
            </tr>
        </ItemTemplate>
        <FooterTemplate>
                </tbody>
            </table>
        </FooterTemplate>
    </asp:Repeater>
    
    <div class="ButtonSection">
        <asp:Button runat="server" ID="CreateOrganisationButton" Text='<%$ Resources:Main, CreateOrganisation %>' OnClick="CreateOrganisationButton_Clicked" CssClass="Button" />
        <asp:Button runat="server" ID="CancelButton" Text='<%$ Resources:Main, Cancel %>' OnClick="CancelButton_Clicked" CssClass="Button" />
    </div>
    
</asp:Content>
