<%@ Page Language="C#" MasterPageFile="~/MasterPages/Admin.Master" AutoEventWireup="true" CodeBehind="Users.aspx.cs" Inherits="TimesheetWebApplication.Secure.Admin.Users" Title='<%$ Resources:Main, ManageUsers %>' %>
<%@ Register Src="~/WebUserControls/UserFilter.ascx" TagPrefix="wuc" TagName="UserFilter" %>

<asp:Content ID="Content1" ContentPlaceHolderID="AdminContentPlaceHolder" runat="server">

    <div runat="server" id="Filter" class="FilterStyle">
        <wuc:UserFilter runat="server" ID="UserFilterWebUserControl" CssClass="FilterControlStyle" ValidationGroup="Search" />
        <div class="ButtonSection">
            <asp:Button runat="server" ID="SearchButton" Text='<%$ Resources:Main, Search %>' OnClick="SearchButton_Clicked" CssClass="Button" ValidationGroup="Search" />
            <asp:Button runat="server" ID="CreateUserButton" Text='<%$ Resources:Main, CreateUser %>' OnClick="CreateUserButton_Clicked" CssClass="Button" />
            <asp:Button runat="server" ID="CancelButton" Text='<%$ Resources:Main, Cancel %>' OnClick="CancelButton_Clicked" CssClass="Button" />
        </div>
    </div>
    
    <asp:Repeater runat="server" ID="UsersRepeater">
        <HeaderTemplate>
            <table class="DataTableStyle">
                <thead>
                    <tr>
                        <th><%= Resources.Main.Id %></th>
                        <th><%= Resources.Main.Email%></th>
                        <th><%= Resources.Main.Name%></th>
                        <th><%= Resources.Main.CreationDate %></th>
                        <th><%= Resources.Main.ActivationDate %></th>
                        <th><%= Resources.Main.DisabledDate %></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
        </HeaderTemplate>
        <ItemTemplate>
            <tr>
                <td><%# DataBinder.Eval(Container.DataItem, "User Id")%></td>
                <td><%# DataBinder.Eval(Container.DataItem, "Email")%></td>
                <td><%# DataBinder.Eval(Container.DataItem, "Name")%></td>
                <td><%# DataBinder.Eval(Container.DataItem, "Creation Date")%></td>
                <td><%# DataBinder.Eval(Container.DataItem, "Activation Date")%></td>
                <td><%# DataBinder.Eval(Container.DataItem, "Disabled Date")%></td>
                <td><a runat="server" id="editLink" href='<%# DataBinder.Eval(Container.DataItem, "EditUserUrl")%>'><%= Resources.Main.Edit%></a></td>
                <td>
                    <asp:LinkButton ID="ApproveUserLinkButton" runat="server" Text="<%$ Resources:Main, Activate %>" OnClick="ActivateUser_Clicked"
                                CommandArgument='<%# Eval("User Id")%>' Enabled='<%# !((bool)(Eval("Activated"))) %>' />
                </td>
                <td>
                    <asp:LinkButton ID="DeactivateUserLinkButton" runat="server" Text="<%$ Resources:Main, Deactivate %>" OnClick="DeactivateUser_Clicked"
                                CommandArgument='<%# Eval("User Id")%>' Enabled='<%# Eval("Activated") %>' />
                </td>
                <td>
                    <asp:LinkButton ID="DisableUserLinkButton" runat="server" Text="<%$ Resources:Main, Disable %>" OnClick="DisableUser_Clicked"
                                CommandArgument='<%# Eval("User Id")%>' Enabled='<%# Eval("Enabled") %>' />
                </td>
                <td>
                    <asp:LinkButton ID="EnabledUserLinkButton" runat="server" Text="<%$ Resources:Main, Enable %>" OnClick="EnableUser_Clicked"
                                CommandArgument='<%# Eval("User Id")%>' Enabled='<%# !((bool)(Eval("Enabled"))) %>' />
                </td>
                <td>
                    <asp:LinkButton ID="DeleteUserLinkButton" runat="server" Text="<%$ Resources:Main, Delete %>" OnClick="DeleteUser_Clicked"
                                CommandArgument='<%# Eval("User Id")%>'
                                OnClientClick='<%# "return confirm(\"" + Resources.Main.ConfirmDelete + "\");" %>' />
                </td>
                <td>
                    <asp:LinkButton ID="ResetPasswordLinkButton" runat="server" Text="<%$ Resources:Main, ResetPassword %>" OnClick="ResetPassword_Clicked"
                                CommandArgument='<%# Eval("User Id")%>'
                                OnClientClick='<%# "return confirm(\"" + Resources.Main.ConfirmResetPassword + "\");" %>' />
                </td>
                <td>
                    <asp:LinkButton ID="MimicLinkButton" runat="server" Text="<%$ Resources:Main, Mimic %>" OnClick="Mimic_Clicked"
                                CommandArgument='<%# Eval("User Id")%>' />
                </td>
            </tr>
        </ItemTemplate>
        <FooterTemplate>
                </tbody>
            </table>
        </FooterTemplate>
    </asp:Repeater>
    
</asp:Content>
