<%@ Page Language="C#" MasterPageFile="~/MasterPages/Secure.Master" AutoEventWireup="true" CodeBehind="Timesheet.aspx.cs" Inherits="TimesheetWebApplication.Secure.Timesheet" Title="Timesheet" %>
<asp:Content ID="Content1" ContentPlaceHolderID="SecureContentPlaceHolder" runat="server">
    <div runat="server" id="TimesheetSection" class="TimesheetSection">
    
        <div class="TimesheetOverview">
            <span class="DataSection" runat="server" id="OwnerDiv">
                <span class="FieldName"><%= Resources.Main.Owner %></span>
                <asp:Label runat="server" ID="OwnerLabel"></asp:Label>  
            </span>
            
            <span class="DataSection" runat="server" id="CurrentStatusDiv">
                <span class="FieldName"><%= Resources.Main.CurrentStatus %></span>
                <asp:Label runat="server" ID="CurrentStatusLabel"></asp:Label> 
            </span>
            
            <span class="DataSection" runat="server" id="LastChangedDiv">
                <span class="FieldName"><%= Resources.Main.LastChanged %></span>
                <asp:Label runat="server" ID="LastChangedLabel"></asp:Label> 
            </span>
            
            <span class="SelectedDateSection">
                <asp:Button runat="server" ID="BackButton" Text="<%$ Resources:Main, Back %>" OnClick="BackButton_Clicked" CssClass="Button" />  
                <asp:Label runat="server" ID="DateLabel"></asp:Label>  
                <asp:Button runat="server" ID="ForwardButton" Text="<%$ Resources:Main, Forward %>" OnClick="ForwardButton_Clicked" CssClass="Button" />   
            </span>
        </div>
        
        <table class="TimesheetTableStyle">
            <thead>
                <tr>
                    <th colspan="2"></th>
                    <th></th>
                    <th><%= Resources.Main.Sat %></th>
                    <th><%= Resources.Main.Sun %></th>
                    <th><%= Resources.Main.Mon %></th>
                    <th><%= Resources.Main.Tue %></th>
                    <th><%= Resources.Main.Wed %></th>
                    <th><%= Resources.Main.Thur %></th>
                    <th><%= Resources.Main.Fri %></th>
                </tr>
            </thead>
            <tbody>
                <asp:Repeater runat="server" ID="AttendancesRepeater">
                    <ItemTemplate>
                        <tr class="InRow">
                            <td colspan="2" align="right" rowspan="2" valign="top">
                                <asp:Label runat="server" ID="IdLabel" Text='<%# DataBinder.Eval (Container.DataItem, "Id") %>' Visible="false" />
                                <asp:Button runat="server" ID="AddAttendanceRowButton" Text="+" CssClass="AddInOutRowButton" 
                                    OnClick="AddAttendanceRowButton_Clicked" 
                                    CommandArgument='<%# DataBinder.Eval (Container.DataItem, "Id") %>' 
                                    Visible='<%# !Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>' />
                                <asp:Button runat="server" ID="RemoveAttendanceRowButton" Text="-" CssClass="RemoveInOutRowButton"
                                    OnClick="RemoveAttendanceRowButton_Clicked"
                                    CommandArgument='<%# DataBinder.Eval (Container.DataItem, "Id") %>'
                                    Visible='<%# !Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>' />
                            </td>
                            <td align="right"><%= Resources.Main.In %></td>
                            <td>
                                <asp:TextBox runat="server" ID="SatInTextBox" Width="36px" 
                                MaxLength="4" onkeyup="NumOnly(event, this);"
                                AutoPostBack="true"
                                CssClass='<%# DataBinder.Eval (Container.DataItem, "SatInCssClass") %>'
                                autocomplete="off" 
                                Text='<%# DataBinder.Eval (Container.DataItem, "SatIn") %>'
                                ReadOnly='<%# Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:TextBox>
                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="SunInTextBox" Width="36px" 
                                MaxLength="4" onkeyup="NumOnly(event, this);" 
                                AutoPostBack="true"
                                CssClass='<%# DataBinder.Eval (Container.DataItem, "SunInCssClass") %>' 
                                autocomplete="off"  
                                Text='<%# DataBinder.Eval (Container.DataItem, "SunIn") %>'
                                ReadOnly='<%# Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:TextBox>
                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="MonInTextBox" Width="36px" 
                                MaxLength="4" onkeyup="NumOnly(event, this);"
                                AutoPostBack="true"
                                CssClass='<%# DataBinder.Eval (Container.DataItem, "MonInCssClass") %>' 
                                autocomplete="off" 
                                Text='<%# DataBinder.Eval (Container.DataItem, "MonIn") %>'
                                ReadOnly='<%# Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:TextBox>
                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="TueInTextBox" Width="36px" 
                                MaxLength="4" onkeyup="NumOnly(event, this);" 
                                AutoPostBack="true"
                                CssClass='<%# DataBinder.Eval (Container.DataItem, "TueInCssClass") %>' 
                                autocomplete="off" 
                                Text='<%# DataBinder.Eval (Container.DataItem, "TueIn") %>'
                                ReadOnly='<%# Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:TextBox>
                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="WedInTextBox" Width="36px" 
                                MaxLength="4" onkeyup="NumOnly(event, this);"
                                AutoPostBack="true"
                                CssClass='<%# DataBinder.Eval (Container.DataItem, "WedInCssClass") %>' 
                                autocomplete="off" 
                                Text='<%# DataBinder.Eval (Container.DataItem, "WedIn") %>'
                                ReadOnly='<%# Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:TextBox>
                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="ThurInTextBox" Width="36px" 
                                MaxLength="4" onkeyup="NumOnly(event, this);" 
                                AutoPostBack="true"
                                CssClass='<%# DataBinder.Eval (Container.DataItem, "ThurInCssClass") %>'
                                autocomplete="off" 
                                Text='<%# DataBinder.Eval (Container.DataItem, "ThurIn") %>'
                                ReadOnly='<%# Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:TextBox>
                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="FriInTextBox" Width="36px" 
                                MaxLength="4" onkeyup="NumOnly(event, this);" 
                                AutoPostBack="true"
                                CssClass='<%# DataBinder.Eval (Container.DataItem, "FriInCssClass") %>'
                                autocomplete="off" 
                                Text='<%# DataBinder.Eval (Container.DataItem, "FriIn") %>'
                                ReadOnly='<%# Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:TextBox>
                            </td>
                        </tr>
                        <tr class="OutRow">
                            <td align="right">
                                <span><%= Resources.Main.Out %></span>
                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="SatOutTextBox" Width="36px" 
                                MaxLength="4" onkeyup="NumOnly(event, this);" 
                                AutoPostBack="true"
                                CssClass='<%# DataBinder.Eval (Container.DataItem, "SatOutCssClass") %>'
                                autocomplete="off"  
                                Text='<%# DataBinder.Eval (Container.DataItem, "SatOut") %>'
                                ReadOnly='<%# Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:TextBox>
                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="SunOutTextBox" Width="36px" 
                                MaxLength="4" onkeyup="NumOnly(event, this);" 
                                AutoPostBack="true"
                                CssClass='<%# DataBinder.Eval (Container.DataItem, "SunOutCssClass") %>' 
                                autocomplete="off" 
                                Text='<%# DataBinder.Eval (Container.DataItem, "SunOut") %>'
                                ReadOnly='<%# Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:TextBox>
                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="MonOutTextBox" Width="36px" 
                                MaxLength="4" onkeyup="NumOnly(event, this);" 
                                AutoPostBack="true"
                                CssClass='<%# DataBinder.Eval (Container.DataItem, "MonOutCssClass") %>'
                                autocomplete="off" 
                                Text='<%# DataBinder.Eval (Container.DataItem, "MonOut") %>'
                                ReadOnly='<%# Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:TextBox>
                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="TueOutTextBox" Width="36px" 
                                MaxLength="4" onkeyup="NumOnly(event, this);" 
                                AutoPostBack="true"
                                CssClass='<%# DataBinder.Eval (Container.DataItem, "TueOutCssClass") %>'
                                autocomplete="off" 
                                Text='<%# DataBinder.Eval (Container.DataItem, "TueOut") %>'
                                ReadOnly='<%# Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:TextBox>
                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="WedOutTextBox" Width="36px" 
                                MaxLength="4" onkeyup="NumOnly(event, this);" 
                                AutoPostBack="true"
                                CssClass='<%# DataBinder.Eval (Container.DataItem, "WedOutCssClass") %>'
                                autocomplete="off" 
                                Text='<%# DataBinder.Eval (Container.DataItem, "WedOut") %>'
                                ReadOnly='<%# Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:TextBox>
                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="ThurOutTextBox" Width="36px" 
                                MaxLength="4" onkeyup="NumOnly(event, this);" 
                                AutoPostBack="true"
                                CssClass='<%# DataBinder.Eval (Container.DataItem, "ThurOutCssClass") %>'
                                autocomplete="off" 
                                Text='<%# DataBinder.Eval (Container.DataItem, "ThurOut") %>'
                                ReadOnly='<%# Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:TextBox>
                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="FriOutTextBox" Width="36px" 
                                MaxLength="4" onkeyup="NumOnly(event, this);" 
                                AutoPostBack="true"
                                CssClass='<%# DataBinder.Eval (Container.DataItem, "FriOutCssClass") %>'
                                autocomplete="off" 
                                Text='<%# DataBinder.Eval (Container.DataItem, "FriOut") %>'
                                ReadOnly='<%# Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:TextBox>
                            </td>
                        </tr>
                    </ItemTemplate>
                </asp:Repeater>
                
                <tr>
                    <td colspan="3"></td>
                    <td runat="server" id="SatAttendanceSum"></td>
                    <td runat="server" id="SunAttendanceSum"></td>
                    <td runat="server" id="MonAttendanceSum"></td>
                    <td runat="server" id="TueAttendanceSum"></td>
                    <td runat="server" id="WedAttendanceSum"></td>
                    <td runat="server" id="ThurAttendanceSum"></td>
                    <td runat="server" id="FriAttendanceSum"></td>
                    <td runat="server" id="TotalAttendanceSum"></td>
                </tr>
            
                <asp:Repeater runat="server" ID="ActivitiesRepeater">
                    <ItemTemplate>
                        <tr class="ActivityRow">
                            <td colspan="3" align="right">
                                <asp:Label runat="server" ID="IdLabel" Text='<%# DataBinder.Eval (Container.DataItem, "Id") %>' Visible="false" />
                                <asp:Button runat="server" ID="AddActivityRowButton" Text="+" CssClass="AddActivityRowButton" 
                                    OnClick="AddActivityRowButton_Clicked" 
                                    CommandArgument='<%# DataBinder.Eval (Container.DataItem, "Id") %>'
                                    Visible='<%# !Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>' />
                                <asp:Button runat="server" ID="RemoveActivityRowButton" Text="-" CssClass="RemoveActivityRowButton"
                                    OnClick="RemoveActivityRowButton_Clicked"
                                    CommandArgument='<%# DataBinder.Eval (Container.DataItem, "Id") %>'
                                    Visible='<%# !Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>' />
                                <asp:DropDownList runat="server" ID="JobCodeList" CssClass="JobCodeDropDownList" 
                                    AutoPostBack="true" 
                                    OnSelectedIndexChanged="JobCodeList_SelectedIndexChanged" 
                                    Enabled='<%# !Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:DropDownList>
                                <asp:DropDownList runat="server" ID="ActivityList" CssClass="ActivityDropDownList"
                                    Enabled='<%# !Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:DropDownList>
                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="SatTextBox" Width="36px" 
                                MaxLength="5" onkeyup="DecimalOnly(event, this);" 
                                AutoPostBack="true"
                                CssClass='<%# DataBinder.Eval (Container.DataItem, "SatCssClass") %>'
                                autocomplete="off"  
                                Text='<%# DataBinder.Eval (Container.DataItem, "Sat") %>'
                                ReadOnly='<%# Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:TextBox>
                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="SunTextBox" Width="36px" 
                                MaxLength="5" onkeyup="DecimalOnly(event, this);" 
                                AutoPostBack="true"
                                CssClass='<%# DataBinder.Eval (Container.DataItem, "SunCssClass") %>' 
                                autocomplete="off" 
                                Text='<%# DataBinder.Eval (Container.DataItem, "Sun") %>'
                                ReadOnly='<%# Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:TextBox>
                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="MonTextBox" Width="36px" 
                                MaxLength="5" onkeyup="DecimalOnly(event, this);" 
                                AutoPostBack="true"
                                CssClass='<%# DataBinder.Eval (Container.DataItem, "MonCssClass") %>'
                                autocomplete="off" 
                                Text='<%# DataBinder.Eval (Container.DataItem, "Mon") %>'
                                ReadOnly='<%# Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:TextBox>
                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="TueTextBox" Width="36px" 
                                MaxLength="5" onkeyup="DecimalOnly(event, this);" 
                                AutoPostBack="true"
                                CssClass='<%# DataBinder.Eval (Container.DataItem, "TueCssClass") %>'
                                autocomplete="off" 
                                Text='<%# DataBinder.Eval (Container.DataItem, "Tue") %>'
                                ReadOnly='<%# Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:TextBox>
                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="WedTextBox" Width="36px" 
                                MaxLength="5" onkeyup="DecimalOnly(event, this);" 
                                AutoPostBack="true"
                                CssClass='<%# DataBinder.Eval (Container.DataItem, "WedCssClass") %>'
                                autocomplete="off" 
                                Text='<%# DataBinder.Eval (Container.DataItem, "Wed") %>'
                                ReadOnly='<%# Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:TextBox>
                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="ThurTextBox" Width="36px" 
                                MaxLength="5" onkeyup="DecimalOnly(event, this);" 
                                AutoPostBack="true"
                                CssClass='<%# DataBinder.Eval (Container.DataItem, "ThurCssClass") %>'
                                autocomplete="off" 
                                Text='<%# DataBinder.Eval (Container.DataItem, "Thur") %>'
                                ReadOnly='<%# Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:TextBox>
                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="FriTextBox" Width="36px" 
                                MaxLength="5" onkeyup="DecimalOnly(event, this);" 
                                AutoPostBack="true"
                                CssClass='<%# DataBinder.Eval (Container.DataItem, "FriCssClass") %>'
                                autocomplete="off" 
                                Text='<%# DataBinder.Eval (Container.DataItem, "Fri") %>'
                                ReadOnly='<%# Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:TextBox>
                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="DescriptionTextBox" TextMode="MultiLine"
                                MaxLength="5"
                                CssClass="ActivityDescriptionTextbox"
                                autocomplete="off" 
                                Text='<%# DataBinder.Eval (Container.DataItem, "Description") %>'
                                ReadOnly='<%# Convert.ToBoolean(DataBinder.Eval (Container.DataItem, "ReadOnly")) %>'></asp:TextBox>
                            </td>
                        </tr>
                    </ItemTemplate>
                </asp:Repeater>
                
                <tr>
                    <td colspan="3"></td>
                    <td runat="server" id="SatActivitySum"></td>
                    <td runat="server" id="SunActivitySum"></td>
                    <td runat="server" id="MonActivitySum"></td>
                    <td runat="server" id="TueActivitySum"></td>
                    <td runat="server" id="WedActivitySum"></td>
                    <td runat="server" id="ThurActivitySum"></td>
                    <td runat="server" id="FriActivitySum"></td>
                    <td runat="server" id="TotalActivitySum"></td>
                </tr>
                
            </tbody>
        </table>
        
        <div class="ButtonSection" runat="server" id="ButtonsDiv">
            <asp:DropDownList runat="server" ID="TimesheetStatusList" CssClass="DropDownList"></asp:DropDownList>
            <asp:RequiredFieldValidator runat="server" ID="TimesheetStatusListRequiredFieldValidator" ControlToValidate="TimesheetStatusList" 
                Text="*" ValidationGroup="SubmitTimeSheet" ErrorMessage="<%$ Resources:Main, TimesheetStatusMustBeSelected %>" InitialValue="-1" />
            <asp:Button runat="server" ID="SubmitButton" OnClick="SubmitButton_Clicked" Text="<%$ Resources:Main, Submit %>" ValidationGroup="SubmitTimeSheet" CssClass="Button" />
        </div>
    </div>
    
    <div runat="server" id="NoOrganisationSection" visible="false">
        <asp:Literal runat="server" ID="NoOrgMessage" Text="<%$ Resources:Main, NoOrganisationForTimesheet %>" />
    </div>
</asp:Content>
