<%@ Page Language="C#" MasterPageFile="~/MasterPages/Secure.Master" AutoEventWireup="true" CodeBehind="Timesheets.aspx.cs" Inherits="TimesheetWebApplication.Secure.Timesheets" Title='<%$ Resources:Main, Timesheets %>' %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/WebUserControls/TimesheetFilter.ascx" TagPrefix="wuc" TagName="TimesheetFilter" %>
<%@ Register Src="~/WebUserControls/Pager.ascx" TagPrefix="wuc" TagName="Pager" %>

<asp:Content ID="Content1" ContentPlaceHolderID="SecureContentPlaceHolder" runat="server">
    
    <cc1:TabContainer ID="TimesheetsTabContainer" runat="server" style="margin-top:10px;">
    
        <cc1:TabPanel runat="server" ID="MyTimesheetsTabPanel" HeaderText='<%$ Resources:Main, MyTimesheets %>'>
            <ContentTemplate>
                <wuc:TimesheetFilter runat="server" ID="MyTimesheetFilterWebUserControl" CssClass="FilterControlStyle" ShowUserSelect="false" />
                <div class="ButtonSection">
                    <asp:Button runat="server" ID="MySearchButton" Text='<%$ Resources:Main, Search %>' OnClick="MySearchButton_Clicked" CssClass="Button" />
                    <asp:Button runat="server" ID="MySearchClearButton" Text='<%$ Resources:Main, Clear %>' OnClick="MySearchClearButton_Clicked" CssClass="Button" />
                </div>
                
                <asp:Repeater runat="server" ID="MyTimesheetsRepeater">
                    <HeaderTemplate>
                        <table class="DataTableStyle">
                            <thead>
                                <tr>
                                    <th><%= Resources.Main.WeekEnd %></th>
                                    <th><%= Resources.Main.Status %></th>
                                    <th><%= Resources.Main.StatusChanger %></th>
                                    <th><%= Resources.Main.StatusChangedDate %></th>
                                    <th></th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                    </HeaderTemplate>
                    <ItemTemplate>
                        <tr>
                            <td><%# DataBinder.Eval(Container.DataItem, "Week End")%></td>
                            <td><%# DataBinder.Eval(Container.DataItem, "Status")%></td>
                            <td><%# DataBinder.Eval(Container.DataItem, "Status Changer")%></td>
                            <td><%# DataBinder.Eval(Container.DataItem, "Status Changed Date")%></td>
                            <td><a href='<%# DataBinder.Eval(Container.DataItem, "Url")%>'><%= Resources.Main.View %></a></td>
                            <td>
                                <asp:LinkButton ID="DeleteMyTimesheet" runat="server" Text="<%$ Resources:Main, Delete %>" 
                                    OnClick="DeleteMyTimesheet_Clicked"
                                    CommandArgument='<%# Eval("TimesheetId")%>' 
                                    Visible='<%# Eval("CanDelete")%>'
                                    OnClientClick=<%# "return confirm('" + Resources.Main.ConfirmDelete + "');" %> />
                            </td>
                        </tr>
                    </ItemTemplate>
                    <FooterTemplate>
                            </tbody>
                        </table>
                    </FooterTemplate>
                </asp:Repeater>
                <wuc:Pager runat="server" ID="MyTimesheetsPager" CssClass="PageControlStyle" OnPageChanged="MyTimesheets_PageChanged" />
                <div runat="server" id="MyTimesheetsBlankDiv" visible="false" class="NoResultsStyle">
                    <%= Resources.Main.NoResultsFound %>
                </div>
            </ContentTemplate>
        </cc1:TabPanel>
        
        <cc1:TabPanel runat="server" ID="TimesheetsTabPanel" HeaderText='<%$ Resources:Main, Timesheets %>'>
            <ContentTemplate>
                <wuc:TimesheetFilter runat="server" ID="TimesheetFilterWebUserControl" CssClass="FilterControlStyle" />
                <div class="ButtonSection">
                    <asp:Button runat="server" ID="SearchButton" Text='<%$ Resources:Main, Search %>' OnClick="SearchButton_Clicked" CssClass="Button" />
                    <asp:Button runat="server" ID="SearchClearButton" Text='<%$ Resources:Main, Clear %>' OnClick="SearchClearButton_Clicked" CssClass="Button" />
                </div>
                <asp:Repeater runat="server" ID="TimesheetsRepeater">
                    <HeaderTemplate>
                        <table class="DataTableStyle">
                            <thead>
                                <tr>
                                    <th><%= Resources.Main.EmployeeId %></th>
                                    <th><%= Resources.Main.Name %></th>
                                    <th><%= Resources.Main.WeekEnd %></th>
                                    <th><%= Resources.Main.Status %></th>
                                    <th><%= Resources.Main.StatusChanger %></th>
                                    <th><%= Resources.Main.StatusChangedDate %></th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                    </HeaderTemplate>
                    <ItemTemplate>
                        <tr>
                            <td><%# DataBinder.Eval(Container.DataItem, "Employee Id")%></td>
                            <td><%# DataBinder.Eval(Container.DataItem, "Name")%></td>
                            <td><%# DataBinder.Eval(Container.DataItem, "Week End")%></td>
                            <td><%# DataBinder.Eval(Container.DataItem, "Status")%></td>
                            <td><%# DataBinder.Eval(Container.DataItem, "Status Changer")%></td>
                            <td><%# DataBinder.Eval(Container.DataItem, "Status Changed Date")%></td>
                            <td><a id="A1" runat="server" href='<%# DataBinder.Eval(Container.DataItem, "Url")%>'>View</a></td>
                        </tr>
                    </ItemTemplate>
                    <FooterTemplate>
                            </tbody>
                        </table>
                    </FooterTemplate>
                </asp:Repeater>  
                <wuc:Pager runat="server" ID="TimesheetsPager" CssClass="PageControlStyle" OnPageChanged="Timesheets_PageChanged" />
                <div runat="server" id="TimesheetsBlankDiv" visible="false" class="NoResultsStyle">
                    <%= Resources.Main.NoResultsFound %>
                </div>   
            </ContentTemplate>
        </cc1:TabPanel>
        
    </cc1:TabContainer>

</asp:Content>
