<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="TimesheetsOverview.ascx.cs" Inherits="TimesheetWebApplication.WebUserControls.TimesheetsOverview" %>

    <div runat="server" id="TimesheetsDiv">
        <div class="HeaderSection">
            <asp:HyperLink runat="server" ID="HeaderHyperLink" CssClass="HeaderLink"><%= this.HeaderText %></asp:HyperLink>
        </div>
        <div class="DescriptionSection">
            <div runat="server" id="DescriptionLabel" class="Description">
                <%= this.DescriptionText %>
            </div>
        </div>
        <div class="DataSection">
            <asp:Repeater runat="server" ID="TimesheetsRepeater">
                <HeaderTemplate>
                    <table class="DataTableStyle">
                        <thead>
                            <tr>
                                <th runat="server" id="UserNameColumn" visible="<%# Convert.ToBoolean(this.ShowUserNameColumn) %>"><%= Resources.Main.Name %></th>
                                <th><%= Resources.Main.WeekEnd %></th>
                                <th><%= Resources.Main.LastChanged %></th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                </HeaderTemplate>
                <ItemTemplate>
                    <tr>
                        <td runat="server" id="UserNameColumn" visible="<%# Convert.ToBoolean(this.ShowUserNameColumn) %>"><%# DataBinder.Eval(Container.DataItem, "Username")%></td>
                        <td><%# DataBinder.Eval(Container.DataItem, "Week End")%></td>
                        <td><%# DataBinder.Eval(Container.DataItem, "Last Changed")%></td>
                        <td><a href='<%# DataBinder.Eval(Container.DataItem, "Url")%>'><%= Resources.Main.View %></a></td>
                    </tr>
                </ItemTemplate>
                <FooterTemplate>
                        </tbody>
                    </table>
                    <asp:HyperLink runat="server" ID="MoreHyperLink" CssClass="MoreLink" NavigateUrl="<%# this.MoreLinkUrl %>"><%= Resources.Main.More %></asp:HyperLink>
                </FooterTemplate>
            </asp:Repeater>
        </div>
        <div runat="server" id="TimesheetsBlankDiv" class="NoTimesheetsStyle" visible="false">
            <%= Resources.Main.NoResultsFound %>
        </div> 
    </div>